package org.colinvella.fancyfish;

import org.apache.logging.log4j.Level;
import org.colinvella.fancyfish.configuration.ModConfiguration;
import org.colinvella.fancyfish.logger.ModLogger;
import org.colinvella.fancyfish.proxy.BaseProxy;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.SidedProxy;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPostInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent;

@Mod(modid="FancyFish", name="Fancy Fish", version="1.0", guiFactory="org.colinvella.fancyfish.configuration.ModGuiFactory", acceptedMinecraftVersions="[1.8,1.8.9]")
public class FancyFishMod
{
    public static final String MOD_ID = "FancyFish";
    public static final String MOD_NAME = "Fancy Fish";
    public static final String MOD_VERSION = "1.0";
    public static final String GUI_FACTORY = "org.colinvella.fancyfish.configuration.ModGuiFactory";
    
    @Mod.Instance(value="FancyFish")
    public static FancyFishMod instance;
    
    @SidedProxy(clientSide="org.colinvella.fancyfish.proxy.ClientProxy", serverSide="org.colinvella.fancyfish.proxy.ServerProxy")
    public static BaseProxy proxy;
    
    @Mod.EventHandler
    public void preInit(FMLPreInitializationEvent event)
    {
    	// load configuration
        ModConfiguration.load(event.getSuggestedConfigurationFile());
        
        // configure logging level
        Level threshold = ModConfiguration.getDebugLogging() ? Level.DEBUG : Level.INFO;
        logger = new ModLogger(threshold);
        
        proxy.preInit(event);
    }

    @Mod.EventHandler
    public void init(FMLInitializationEvent event)
    {
        proxy.init(event);
    }

    @Mod.EventHandler
    public void postInit(FMLPostInitializationEvent event)
    {
        proxy.postInit(event);
    }
    
    public static ModLogger getLogger()
    {
        return logger;
    }
    
    private static ModLogger logger;
}

