package org.colinvella.fancyfish.entity.fish;

import org.colinvella.fancyfish.item.CapturedFishItem;
import org.colinvella.fancyfish.item.FishScaleItem;
import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.entity.EntityAgeable;
import net.minecraft.world.World;

public class DamselFishEntity extends FishEntity
{
	public static final String ID = "DamselFish";
	
	public static final int PRIMARY_EGG_COLOUR = 0xFFD800;
	public static final int SECONDARY_EGG_COLOUR = 0x1B00CC;
	
	public DamselFishEntity(World world)
	{
		super(world, Species.DamselFish, 0.15, new FishScaleItem[]{ModItemRegistry.BlueFishScale, ModItemRegistry.YellowFishScale});
	}
	
    @Override
    public EntityAgeable createChild(EntityAgeable ageable)
    {
        return new DamselFishEntity(this.worldObj);
    }

	@Override
	public CapturedFishItem getCapturedFishItem()
	{
		return (CapturedFishItem)ModItemRegistry.CapturedDamselFish;
	}
}
