package org.colinvella.fancyfish.tileentity;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraftforge.fml.common.registry.GameRegistry;

public class ModTileEntityRegistry
{
    public static void registerTileEntities()
    {
        logger = FancyFishMod.getLogger();
        logger.info("Registering tile entities ...");
        ModTileEntityRegistry.registerTileEntity(FishTankTileEntity.class);
        ModTileEntityRegistry.registerTileEntity(TeleportTileEntity.class);
    }

    private static void registerTileEntity(Class<? extends ModTileEntity> tileEntityClass)
    {
        String id = tileEntityClass.getSimpleName();
        logger.info("Registering tile entity " + id + "...");
        GameRegistry.registerTileEntity(tileEntityClass, id);
    }
    
    private static ModLogger logger;
}

